Skip to main content
POST
/
tds
/
compliance
/
traces
/
deductors
/
forms
/
{certificate_type}
/
search
Fetch Jobs
curl --request POST \
  --url https://test-api.sandbox.co.in/tds/compliance/traces/deductors/forms/{certificate_type}/search \
  --header 'Content-Type: application/json' \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "@entity": "in.co.sandbox.tds.compliance.certificate.job.search"
}
'
import requests

url = "https://test-api.sandbox.co.in/tds/compliance/traces/deductors/forms/{certificate_type}/search"

payload = { "@entity": "in.co.sandbox.tds.compliance.certificate.job.search" }
headers = {
    "authorization": "<authorization>",
    "x-api-key": "<x-api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    authorization: '<authorization>',
    'x-api-key': '<x-api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({'@entity': 'in.co.sandbox.tds.compliance.certificate.job.search'})
};

fetch('https://test-api.sandbox.co.in/tds/compliance/traces/deductors/forms/{certificate_type}/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1616223746147,
  "transaction_id": "f24cd229-42c8-43de-af79-8ce2d3c4c3db",
  "data": {
    "@entity": "in.co.sandbox.tds.compliance.certificate.paginated_list",
    "items": [
      {
        "@entity": "in.co.sandbox.tds.compliance.certificate.job",
        "job_id": "096c4812-1829-4ee1-a3c6-3bd291654b72",
        "tan": "AHMS12345C",
        "financial_year": "FY 2023-24",
        "quarter": "Q2",
        "form": "26Q",
        "created_at": 1714529043000,
        "updated_at": 1714529044000,
        "status": "succeeded",
        "remember_me": true
      },
      {
        "@entity": "in.co.sandbox.tds.compliance.certificate.job",
        "job_id": "096c4812-1829-4ee1-a3c6-3bd291654b72",
        "tan": "AHMS12345C",
        "financial_year": "FY 2023-24",
        "quarter": "Q2",
        "form": "26Q",
        "created_at": 1714527043000,
        "updated_at": 1714527044000,
        "status": "failed",
        "message": "Invalid credentials",
        "remember_me": false
      },
      {
        "@entity": "in.co.sandbox.tds.compliance.certificate.job",
        "job_id": "096c4812-1829-4ee1-a3c6-3bd291654b72",
        "tan": "AHMS12345C",
        "financial_year": "FY 2023-24",
        "quarter": "Q2",
        "form": "26Q",
        "created_at": 1714530043000,
        "updated_at": 1714530044000,
        "status": "failed",
        "message": "Form not available for the given quarter and financial year",
        "remember_me": false
      }
    ],
    "last_evaluated_key": "eydadadadada...=="
  }
}

Headers

authorization
string
required

JWT access token

x-api-key
string
required

API key for identification

x-api-version
string

Path Parameters

certificate_type
string
required

Body

application/json
@entity
enum<string>
required
Available options:
in.co.sandbox.tds.compliance.certificate.job.search
tan
string

Regular Expression: [A-Z]{4}[0-9]{5}[A-Z]{1}

quarter
string

Quarter (e.g. Q2)

form
string

TDS return form

financial_year
string

Financial Year (e.g. FY 2022-23)

from_date
integer

Date from which jobs are to be fetched. Value in EPOCH timestamp

to_date
integer

Date till which jobs are to be fetched. Value in EPOCH timestamp

page_size
integer

Number of records in the API response. Maximum allowed size is 50

last_evaluated_key
string

Base64 encoding of the stringified JSON object, which includes x-api-key, created_at, and job_id

Response

200 - application/json

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object